Raster NULLs are coloured

2012-01-12 09:04 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: Rasters

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 14649

Description

A loaded raster looks OK in greyscale. If I apply Pseudocolor, Freak out or Color map, the NULLs are (wrongly) coloured. Until recently it

was not so.

History

#1 - 2012-01-12 09:08 AM - Paolo Cavallini

Moreover, if I apply the transparency band to the raster (Band 1), the NULLs are transparent, but the raster looks weird.

#2 - 2012-01-13 12:06 PM - Giovanni Manghi

Please attach sample data.

#3 - 2012-01-14 12:49 AM - Paolo Cavallini

- File clip_nulls added

#4 - 2012-01-20 05:44 AM - Giovanni Manghi

After importing the attached sample raster into GRASS the NULLs are wrongly coloured, also when using the greyscale colormap.

#5 - 2012-01-22 03:58 PM - Giovanni Manghi

- File float32.tif added

- File float64.tif added

- File int32.tif added

- File int16.tif added

- File clipped.tif added

Another test:

imported the attached raster (clipped.tif) into GRASS and then with r.null made pixels with "0" value into NULLS. I then exported the GRASS raster with

r.out.gdal.tiff choosing different formats: int16, int32, float32 and float64. After adding the resulting rasters into QGIS I see that NULLS are wrongly

coloured just in the int32 raster, while the in the others is correctly transparent.

#6 - 2012-01-22 03:59 PM - Giovanni Manghi
Giovanni Manghi wrote:

After adding the resulting rasters into QGIS I see that NULLS are wrongly coloured just in the int32 raster.

also with the greyscale color map.

#7 - 2012-01-22 04:00 PM - Giovanni Manghi

- Subject changed from Raster NULLs are coloured in pseudocolor (etc.) mode to Raster NULLs are coloured

#8 - 2012-08-27 09:42 AM - Casey Vandenberg

- File blue_null_Value.png added

I am not sure if this is a related problem or not, although I suspect it is as the null values within raster layers I add to QGIS are also improperly coloured.

I have a series of raster layers in a grass database. When I add any of these raster layers using the Grass plugin, the null values are all coloured blue.

If I export the layers to a .tif + .tfw file, and add the tif into QGIS, the null values are handled correctly and appear transparent.

I have seen this problem at work on machines running 11.04, 12.04 on Linux and Windows

#9 - 2012-08-27 09:55 AM - Giovanni Manghi

- Status changed from Open to Feedback

This issue should have been fixed in qgis master, please

try and report back.

#10 - 2012-09-04 12:10 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#11 - 2012-10-04 03:17 PM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to fixed

This is fixed in master. Please reopen if necessary.

Files

clip_nulls 59.8 KB 2012-01-13 Paolo Cavallini

clipped.tif 1010 KB 2012-01-22 Giovanni Manghi

int16.tif 1010 KB 2012-01-22 Giovanni Manghi

int32.tif 1.97 MB 2012-01-22 Giovanni Manghi

float32.tif 1.97 MB 2012-01-22 Giovanni Manghi

float64.tif 3.94 MB 2012-01-22 Giovanni Manghi

blue_null_Value.png 151 KB 2012-08-27 Casey Vandenberg
